GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "435262b1-b881-47cb-b1d6-5d508bee1cfd",
"selected_nameplate_id": "7c1dc03e-5766-4859-8fc5-358f192148f3",
"active": true,
"department_id": "3a5f0563-e1b9-4c30-8a91-cb2117719755",
"id": "81fa8175-ce94-4ab2-a883-121cc703e9cc",
"physical_item_id": "6e2868f6-c1cd-411c-a500-be1cdc822eaf",
"service_item_id": "48952858-4372-4468-a065-f85f4f8028dc",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>3a5f0563-e1b9-4c30-8a91-cb2117719755</department_id>
<id>81fa8175-ce94-4ab2-a883-121cc703e9cc</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>6e2868f6-c1cd-411c-a500-be1cdc822eaf</physical_item_id>
<quantity>1</quantity>
<service_item_id>48952858-4372-4468-a065-f85f4f8028dc</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>7c1dc03e-5766-4859-8fc5-358f192148f3</selected_nameplate_id>
<selected_sticker_id>435262b1-b881-47cb-b1d6-5d508bee1cfd</selected_sticker_id>
</department_item>